MKVINFO(1)

NAME
mkvinfo - Gibt Informationen über Elemente der Matroska(TM)-Dateien aus.

ÜBERSICHT

mkvinfo [Optionen] {Quelldateiname}

BESCHREIBUNG

Dieses Programm führt alle in Matroska(TM)-Dateien enthaltenen Elemente auf. Die Ausgabe kann kann auf eine Liste von Spuren in der Datei, einschließlich Informationen über die benutzten Codecs, begrenzt werden.

-a, --all
    Standardmäßig hält mkvinfo(1) an, wenn es auf den ersten Cluster trifft. Weiterhin zeigt es bestimmte oft auftretende Elemente nicht an. Mit dieser Option wird mkvinfo(1) die Bearbeitung unabhängig von der Detailstufe fortsetzen und alle Elemente anzeigen.

-c, --checksums
    Berechnet für jedes Bild die Adler-32-Prüfsumme und zeigt sie an. Nur nützlich zur Fehlersuche.

-o, --continue
    Standardmäßig hält mkvinfo(1) an, wenn es auf den ersten Cluster trifft. Mit dieser Option wird mkvinfo(1) die Bearbeitung unabhängig von der Detailstufe fortsetzen.

-p, --hex-positions
    Zeige die Positionen aller Elemente unabhängig von der Detailstufe hexadezimal an.

-P, --positions
    Zeige die Positionen aller Elemente unabhängig von der Detailstufe dezimal an.

-s, --summary
    Zeigt nur eine knappe Zusammenfassung, was mkvinfo(1) findet und nicht jedes Element.

-t, --track-info
    Zeigt detailliert Statistiken für jede Spur an. Außerdem wird die Detailstufe auf 1 gesetzt, falls sie vorher auf 0 war.

-x, --hexdump
    Zeigt die ersten 16 Byte jedes Bilds als hexadezimale Ausgabe an.

-X, --full-hexdump
    Zeigt alle Byte von jedem Bild als hexadezimale Ausgabe an.

-z, --size
    Zeigt die Größe jedes Elements einschließlich seiner Kopfdaten an.

--command-line-charset Zeichensatz
    Setzt den Zeichensatz, um auf der Befehlszeile angegebene Zeichenketten umzuwandeln. Voreinstellung ist der Zeichensatz der aktuellen Locale des Systems.

--output-charset Zeichensatz
    Setzt den Zeichensatz, in den Zeichenketten zur Ausgabe umgewandelt werden. Voreinstellung ist der Zeichensatz der aktuellen Locale des Systems.

-r, --redirect-output Dateiname
    Schreibt alle Nachrichten in die Datei Dateiname statt auf die Konsole. Obwohl dies einfach durch Ausgabeumleitung erledigt werden kann, gibt es Fälle, in denen diese Option benötigt wird: wenn das Terminal die Ausgabe vor dem Schreiben in eine Datei neu auswertet. Der mit --output-charset gesetzte Zeichensatz wird dabei berücksichtigt.

--ui-language Code
    Erzwingt, dass die Übersetzungen für die Sprache Code benutzt werden (z.B. »de_DE« für die deutschen Übersetzungen). Bei der Eingabe von »list« als Code gibt das Programm eine Liste der verfügbaren Übersetzungen aus.

--abort-on-warnings
    Weist das Programm an abzubrechen, nachdem die erste Warnung ausgegeben wurde. Der Rückgabewert des Programms wird in dem Fall 1 sein.

--debug Thema
    Schaltet die Fehlersuche für eine bestimmte Funktionalität ein. Diese Option ist nur für Entwickler nützlich.

--engage Funktionalität
    Schaltet experimentelle Funktionalitäten ein. Eine Liste verfügbarer Funktionalitäten kann mit mkvinfo --engage list abgefragt werden. Diese Funktionalitäten sind nicht für die Verwendung in Alltagssituationen gedacht.

--gui-mode
    Schaltet den Modus für graphische Benutzeroberflächen an. In diesem Modus können auf bestimmte Art formatierte Zeilen ausgegeben werden, die einem aufrufenden Programm mitteilen, was mkvmerge(1) gerade tut. Diese Nachrichten haben das folgende Format: '#GUI#Nachricht'. Der Nachricht folgen potenziell Schlüssel/Wert-Paare wie z.B. '#GUI#Nachricht#schluessel1=wert1#schluessel2=wert2...'. Weder die Nachricht selber noch die Schlüssel werden jemals übersetzt sondern immer in Englisch ausgegeben.

-v, --verbose
    Erhöht die Detailstufe. Welche Beschreibung auf welcher Stufe ausgegeben wird, finden Sie im Abschnitt Detailstufen.

-h, --help
    Zeigt Benutzungsinformationen und beendet sich.

-V, --version
    Zeigt Versionsinformationen und beendet sich.

@Optionsdatei.json
    Liest zusätzliche Befehlszeilenargumente aus der Datei Optionsdatei. Eine ausführliche Erläuterunge über die unterstützten Formate finden Sie im Abschnitt "Optionsdateien" in der Handbuchseite zu mkvmerge(1).

DETAILSTUFEN

Die Option -v kann benutzt werden, um die Detailstufe von mkvinfo(1) zu erhöhen und weitere Informationen über die aktuelle Datei auszugeben.

Auf Stufe 0 wird mkvinfo(1) nur die Spurkopfdaten, die es findet und deren Typen, ausgeben. Sobald die Kopfdaten vollständig ausgewertet sind, wird sich mkvinfo(1) beenden (technischer ausgedrückt: sobald der erste Cluster gefunden wird). Auf dieser Stufe werden die Suchkopfeinträge und Indizes nicht angezeigt – selbst wenn sie vor den Spurinformationen liegen.

Auf Stufe 1 wird mkvinfo(1) ebenfalls alle für die vollständige Datei gefundenen Matroska(TM)-Elemente außer den Suchkopf- und Indexeinträgen ausgeben. Falls der Zusammenfassungsmodus aktiviert ist, wird mkvinfo(1) obendrein die Bildposition ausgeben.

Der selbe Effekt kann mit der Option --continue erzielt werden.

Auf Stufe 2 wird mkvinfo(1) auch die Suchkopfeinträge, die Indexeinträge und die Dateiposition ausgeben, an der jedes Matroska(TM)-Element gefunden werden kann.

Der selbe Effekt kann mit den Optionen --all --positions erzielt werden.

Auf Stufe 3 und darüber wird mkvinfo(1) einige Informationen ausgeben, die nicht direkt mit einem Matroska(TM)-Element verbunden sind. Alle anderen Elemente geben nur Zeug über Elemente aus, die soeben gefunden wurden. Stufe 3 fügt Metainformationen zur Erleichterung der Fehlersuche hinzu (sprich: Sie ist nur für Entwickler gedacht). Alle Zeilen, die durch Stufe 3 geschrieben werden, sind in eckige Klammern eingeschlossen, um ihre Filterung zu erleichtern.

UMWANDLUNGEN VON TEXTDATEIEN UND ZEICHENSÄTZEN

Für eine tiefer gehende Diskussion darüber, wie die Programme in der MKVToolNix-Sammlung die Umwandlung von Zeichensätzen, Eingabe-/Ausgabecodierung, Kommandozeilenzeichensätze und Konsolenzeichensätze handhaben, sei auf den Abschnitt »Umwandlungen von Textdateien und Zeichensätzen« in der Handbuchseite von mkvmerge(1) verwiesen.

RÜCKGABEWERTE

mkvinfo(1) beendet sich mit einem von drei Rückgabewerten:

    • 0 – dieser Rückgabewert bedeutet, dass der Durchlauf erfolgreich abgeschlossen wurde.

    • 1 – in diesem Fall hat mkvinfo(1) mindestens eine Warnung ausgegeben, die Ausführung wurde aber fortgesetzt. Einer Warnung wird der Text »Warning:« vorangestellt.

    • 2 – dieser Rückgabewert wird benutzt, nachdem ein Fehler aufgetreten ist. mkvinfo(1) wird gleich nach der Ausgabe der Fehlermeldung abgebrochen. Fehlermeldungen reichen von falschen Befehlszeilenargumenten über Lese-/Schreibfehler bis hin zu beschädigten Dateien.

UMGEBUNGSVARIABLEN

mkvinfo(1) verwendet die Standardvariablen, um die Locale des Systems zu bestimmen (z.B. LANG und die LC_*-Familie). Zusätzliche Variablen:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG und ihre Kurzform MTX_DEBUG
    Der Inhalt wird behandelt, als ob er mit der Option --debug übergeben worden wäre.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE und ihre Kurzform MTX_ENGAGE
    Der Inhalt wird behandelt, als ob er mit der Option --engage übergeben worden wäre.

SIEHE AUCH

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

Die neuste Version kann immer auf der MKVToolNix-Homepage[1] gefunden werden.

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Entwickler

FUßNOTEN

1.  der MKVToolNix-Homepage
    https://mkvtoolnix.download/